import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { ComptrollerErrorReporter, ComptrollerErrorReporterInterface } from "../../../../stake/contracts/ErrorReporter.sol/ComptrollerErrorReporter";
declare type ComptrollerErrorReporterConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class ComptrollerErrorReporter__factory extends ContractFactory {
    constructor(...args: ComptrollerErrorReporterConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ComptrollerErrorReporter>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): ComptrollerErrorReporter;
    connect(signer: Signer): ComptrollerErrorReporter__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50603e80601d6000396000f3fe6080604052600080fdfea265627a7a72315820261888012466a54d12355bd92465867079ca02a90eaaea7663df476ee9fe6a5364736f6c63430005100032";
    static readonly abi: {
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
    }[];
    static createInterface(): ComptrollerErrorReporterInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ComptrollerErrorReporter;
}
export {};
